apply plugin: 'com.android.application'

android {
    compileSdkVersion 21
    buildToolsVersion "21.1.2"

    defaultConfig {
        applicationId "com.qiyou.mb.android"
        minSdkVersion 9
        targetSdkVersion 22

        testApplicationId "com.qiyou.mb.android.test"
        testInstrumentationRunner "android.test.InstrumentationTestRunner"
    }

    buildTypes {
        release {
            minifyEnabled true
            proguardFiles 'proguard.cfg'
        }
    }
}

dependencies {
    compile project(':listviewlibrary')
    compile 'com.android.support:support-v4:22.+'
    compile 'com.android.support:gridlayout-v7:22.+'
    compile files('libs/BaiduLBS_Android.jar')
    compile files('libs/SocialSDK_QQZone_1.jar')
    compile files('libs/SocialSDK_QQZone_2.jar')
    compile files('libs/SocialSDK_QQZone_3.jar')
    compile files('libs/SocialSDK_Sina.jar')
    compile files('libs/SocialSDK_WeiXin_1.jar')
    compile files('libs/SocialSDK_WeiXin_2.jar')
    compile files('libs/SocialSDK_tencentWB_1.jar')
    compile files('libs/SocialSDK_tencentWB_2.jar')
    compile files('libs/SocialSDK_tencentWB_3.jar')
    compile files('libs/SpeechApi.jar')
    compile files('libs/achartengine-1.1.0.jar')
    compile files('libs/android-async-http-1.4.6.jar')
    compile files('libs/conceal_android.jar')
    compile files('libs/httpmime-4.1.3.jar')
    compile files('libs/libconceal.jar')
    compile files('libs/locSDK_6.13.jar')
    compile files('libs/nineoldandroids-2.4.0.jar')
    compile files('libs/swipelistview-1.0-20130701.103547-12-jar-with-dependencies.jar')
    compile files('libs/umeng-analytics-v6.0.3.jar')
    compile files('libs/umeng-update-v2.6.0.1.jar')
    compile files('libs/umeng_social_sdk.jar')
    compile files('libs/universal-image-loader-1.9.2.jar')
    //    compile files('libs/utdid4all-1.0.4.jar')
    compile 'com.google.code.gson:gson:2.8.0'
    compile project(':PushSDK')
    compile 'me.dm7.barcodescanner:zxing:1.9'
    compile files('libs/core-3.2.0.jar')
    compile files('libs/javase-2.3-SNAPSHOT.jar')
}
//tasks.withType(JavaCompile) {
//    options.encoding = "GBK"
//}